Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1424298 - rubygem-creole: FTBFS in rawhide
Summary: rubygem-creole: FTBFS in rawhide
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-creole
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ken Dreyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F26FTBFS
TreeView+ depends on / blocked
 
Reported: 2017-02-17 16:37 UTC by Fedora Release Engineering
Modified: 2018-05-29 12:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:15:12 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (3.96 KB, text/plain)
2017-02-17 16:37 UTC, Fedora Release Engineering
no flags Details
root.log (73.77 KB, text/plain)
2017-02-17 16:37 UTC, Fedora Release Engineering
no flags Details
state.log (647 bytes, text/plain)
2017-02-17 16:38 UTC, Fedora Release Engineering
no flags Details
Fix sed to work with newer gemspecs (1.26 KB, patch)
2017-06-23 15:05 UTC, Troy Dawson
no flags Details | Diff

Description Fedora Release Engineering 2017-02-17 16:37:51 UTC
Your package rubygem-creole failed to build from source in current rawhide.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17789846

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

Comment 1 Fedora Release Engineering 2017-02-17 16:37:56 UTC
Created attachment 1254170 [details]
build.log

Comment 2 Fedora Release Engineering 2017-02-17 16:37:58 UTC
Created attachment 1254171 [details]
root.log

Comment 3 Fedora Release Engineering 2017-02-17 16:38:00 UTC
Created attachment 1254172 [details]
state.log

Comment 4 Fedora End Of Life 2017-02-28 12:06:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Troy Dawson 2017-06-23 15:05:09 UTC
Created attachment 1291113 [details]
Fix sed to work with newer gemspecs

Newer gemspecs have a .freeze attached to everything.  The original sed was leaving the .freeze by itself in the gemspec, causing issues later on.
This patch adds a sed that works with the .freeze issue first, for newer gemspecs, then runs the original sed, that would fix up older gemspecs.

We are trying to get f26 bootstrap to build itself completely, and are trying to clean up all the FTBFS bugs needed to achieve this. We understand some people have limited time to fix packages.  If you do not have the time to fix this, or merge the patch, within two weeks, we will have a proven packager merge the suggested patch in and build it.

Comment 6 Fedora End Of Life 2018-05-03 08:51:22 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2018-05-29 12:15:12 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.